=== modified file 'debsums'
--- debsums	2010-11-17 17:16:07 +0000
+++ debsums	2011-06-30 10:48:13 +0000
@@ -257,6 +257,7 @@
 sub is_replaced
 {
     my ($pack, $path, $sum) = @_;
+    my @sumfiles;
 
     unless ($installed{$pack}{ReplacedBy})
     {
@@ -273,14 +274,17 @@
 
     for my $p (@{$installed{$pack}{ReplacedBy} || []})
     {
-	open S, "$DPKG/info/$p.md5sums" or next;
-	while (<S>)
-	{
-	    if ($_ eq "$sum  $path\n")
-	    {
-		close S;
-		return 1;
-	    }
+	@sumfiles = glob("$DPKG/info/$p.md5sums $DPKG/info/$p:*.md5sums");
+	foreach(@sumfiles) {
+		open S, $_ or next;
+		while (<S>)
+		{
+		    if ($_ eq "$sum  $path\n")
+		    {
+			close S;
+			return 1;
+		    }
+		}
 	}
 
 	close S;
@@ -412,6 +416,7 @@
     my $sums;
     my $pack;
     my $conffiles;
+    my @sumfiles;
 
     # looks like a package name
     unless (/[^a-z\d+.-]/ or /\.deb$/)
@@ -460,31 +465,34 @@
 	}
 	else
 	{
-	    $sums = "$DPKG/info/$pack.md5sums";
-	    unless (-f $sums or $config)
-	    {
-		if ($missing)
-		{
-		    print "$pack\n";
-		    next;
-		}
-
-		unless ($generate{missing})
-		{
-		    warn "$self: no md5sums for $pack\n";
-		    next;
-		}
-
-		unless ($deb)
-		{
-		    warn "$self: no md5sums for $pack and no deb available\n"
-			unless $generate{nocheck} and $silent;
-
-		    next;
-		}
-
-		undef $sums;
-		$_ = $deb;
+	    @sumfiles = glob("$DPKG/info/$pack.md5sums $DPKG/info/$pack:*.md5sums");
+	    foreach(@sumfiles) {
+		    $sums = $_;
+		    unless (-f $sums or $config)
+		    {
+			if ($missing)
+			{
+			    print "$pack\n";
+			    next;
+			}
+
+			unless ($generate{missing})
+			{
+			    warn "$self: no md5sums for $pack\n";
+			    next;
+			}
+
+			unless ($deb)
+			{
+			    warn "$self: no md5sums for $pack and no deb available\n"
+				unless $generate{nocheck} and $silent;
+
+			    next;
+			}
+
+			undef $sums;
+			$_ = $deb;
+		    }
 	    }
 	}
 
@@ -585,7 +593,8 @@
 	    close F;
 	}
 
-	if (!-s $sums)
+	my @sumfiles = glob("$DPKG/info/$pack:*.md5sums");
+	if (!-s $sums && scalar(@sumfiles) == 0)
 	{
 	    my $unpacked = "$tmp/$pack";
 	    print "Generating missing md5sums for $deb..." unless $silent;

